<?php

/**
 * Implementation of hook_ctools_plugin_api().
 */
function pantarei_siren_core_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => 1);
  }
}

/**
 * Implementation of hook_imagecache_default_presets().
 */
function pantarei_siren_core_imagecache_default_presets() {
  $items = array(
    'user_image_default' => array(
      'presetname' => 'user_image_default',
      'actions' => array(
        '0' => array(
          'weight' => '-10',
          'module' => 'imagecache',
          'action' => 'imagecache_scale',
          'data' => array(
            'width' => '512',
            'height' => '512',
            'upscale' => 1,
          ),
        ),
        '1' => array(
          'weight' => '-9',
          'module' => 'imagecache',
          'action' => 'imagecache_scale_and_crop',
          'data' => array(
            'width' => '96',
            'height' => '96',
          ),
        ),
      ),
    ),
    'user_image_large' => array(
      'presetname' => 'user_image_large',
      'actions' => array(
        '0' => array(
          'weight' => '0',
          'module' => 'imagecache',
          'action' => 'imagecache_scale',
          'data' => array(
            'width' => '512',
            'height' => '512',
            'upscale' => 1,
          ),
        ),
        '1' => array(
          'weight' => '0',
          'module' => 'imagecache',
          'action' => 'imagecache_scale_and_crop',
          'data' => array(
            'width' => '128',
            'height' => '128',
          ),
        ),
      ),
    ),
  );
  return $items;
}
